WindowClosedException (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class WindowClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.openqa.selenium.server.RemoteCommandException
                  org.openqa.selenium.server.WindowClosedException

All Implemented Interfaces:
  java.io.Serializable

    public class WindowClosedException

extends RemoteCommandException

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `WINDOW_CLOSED_ERROR`

Constructor Summary
`WindowClosedException()`
`WindowClosedException(java.lang.String message)`
`WindowClosedException(java.lang.String message, java.lang.Throwable cause)`
`WindowClosedException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.openqa.selenium.server.RemoteCommandException
`getResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WINDOW_CLOSED_ERROR

    public static final java.lang.String WINDOW_CLOSED_ERROR

See Also:
  Constant Field Values

Constructor Detail

### WindowClosedException

    public WindowClosedException()

### WindowClosedException

    public WindowClosedException(java.lang.String message)

### WindowClosedException

    public WindowClosedException(java.lang.Throwable cause)

### WindowClosedException

    public WindowClosedException(java.lang.String message,
                                 java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.